Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040291
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2019-02-28 14:012019-03-25 08:33
Reporterjorge-garciaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision71f91024387f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression levelProduction - QA Approved
Regression date2018-08-21
Regression introduced in releaseRR18Q4
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/716482b9a59c1898039fce7e644f41954254945f [^]
Triggers an Emergency PackNo
Summary

0040291: Edit and total button are reactivated in multiorders window if the application is refreshed

DescriptionEdit and total button are reactivated in multi-orders window if the application is refreshed.

The user cannot do anything serious in multi-order edit tab, but it is a weird behavior
Steps To Reproduce1) Log in webPOS
2) Create two layaways with 1 line each and don't pay anything (just click on layaway button).
3) Go to menu and click pay open tickets entry.
4) Select previous created layaways.
5) Verify Menu, New, Total and edit button are disabled (this is correct).
6) Refresh the application (F5 or refresh browser button).
7) Check two things:
     * The edit tab is shown after reload (this is wrong).
     * Total and edit button are enabled (this is wrong).
Proposed SolutionIf the user reloads the application in multi-orders window, after the reload the POS should remain in the same state (payment tab and buttons disabled).
TagsNo tags attached.
Attached Filespatch file icon issue 40291 source posterminal.patch [^] (3,125 bytes) 2019-03-07 14:41 [Show Content]
patch file icon issue 40291 source pimobile.patch [^] (9,053 bytes) 2019-03-07 14:41 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0040444RR19Q1 closedranjith_qualiantech_com Edit and total button are reactivated in multiorders window if the application is refreshed 
depends on backport 0040445RR18Q4.3 closedranjith_qualiantech_com Edit and total button are reactivated in multiorders window if the application is refreshed 

-  Notes
(0110362)
hgbot (developer)
2019-03-12 06:16

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 71f91024387fe71605aa98835b7190384432d1df
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Mar 12 10:46:12 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/71f91024387fe71605aa98835b7190384432d1df [^]

Fixed issue 40291 : Disable Total Pay Button and Edit Tab Button in Pay Open Ticket

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/pointofsale.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-left.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-right.js
---
(0110363)
hgbot (developer)
2019-03-12 06:16

Repository: tools/automation/pi-mobile
Changeset: f315bab4b5b3792253b6c16201e504dae582f0ba
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Mar 12 10:46:25 2019 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/f315bab4b5b3792253b6c16201e504dae582f0ba [^]

Verifies issue 40291 : Added Automated Test 'I40291_VerifyPayOpenTicketButtonStatus'

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/discounts_bypaymentmethod/I33512_VerifyPayOpenTickets.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/multichange/PayOpenTicketsMultiCurrency.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/sales/CreateMultiorder.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/sales/I27214_MultiorderFailsWhenEmptyReceiptsPresent.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/selectingPrinter/SelectAlwaysPrinterMultiOrders.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/system/I33834_VerifyLayawayInPayOpen.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/system/I40291_VerifyPayOpenTicketButtonStatus.java
---
(0110519)
jorge-garcia (developer)
2019-03-20 17:50

Code reviewed and tested
(0110610)
ranjith_qualiantech_com (developer)
2019-03-25 08:32

Reopening to create backports

- Issue History
Date Modified Username Field Change
2019-02-28 14:01 jorge-garcia New Issue
2019-02-28 14:01 jorge-garcia Assigned To => Retail
2019-02-28 14:01 jorge-garcia Regression level => Production - QA Approved
2019-02-28 14:01 jorge-garcia Triggers an Emergency Pack => No
2019-03-01 14:41 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-03-04 08:34 ranjith_qualiantech_com Regression date => 2018-08-21
2019-03-04 08:34 ranjith_qualiantech_com Regression introduced in release => RR18Q4
2019-03-04 08:34 ranjith_qualiantech_com Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/716482b9a59c1898039fce7e644f41954254945f [^]
2019-03-04 08:34 ranjith_qualiantech_com Status new => scheduled
2019-03-07 14:41 ranjith_qualiantech_com File Added: issue 40291 source posterminal.patch
2019-03-07 14:42 ranjith_qualiantech_com File Added: issue 40291 source pimobile.patch
2019-03-12 06:16 hgbot Checkin
2019-03-12 06:16 hgbot Note Added: 0110362
2019-03-12 06:16 hgbot Status scheduled => resolved
2019-03-12 06:16 hgbot Resolution open => fixed
2019-03-12 06:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/71f91024387fe71605aa98835b7190384432d1df [^]
2019-03-12 06:16 hgbot Checkin
2019-03-12 06:16 hgbot Note Added: 0110363
2019-03-19 07:03 hgbot Checkin
2019-03-19 07:03 hgbot Note Added: 0110487
2019-03-19 14:53 ranjith_qualiantech_com Note Deleted: 0110487
2019-03-20 17:30 jorge-garcia Review Assigned To => jorge-garcia
2019-03-20 17:50 jorge-garcia Note Added: 0110519
2019-03-20 17:50 jorge-garcia Status resolved => closed
2019-03-20 17:50 jorge-garcia Fixed in Version => RR19Q2
2019-03-25 08:32 ranjith_qualiantech_com Note Added: 0110610
2019-03-25 08:32 ranjith_qualiantech_com Status closed => new
2019-03-25 08:32 ranjith_qualiantech_com Resolution fixed => open
2019-03-25 08:32 ranjith_qualiantech_com Fixed in Version RR19Q2 =>
2019-03-25 08:33 ranjith_qualiantech_com Status new => scheduled
2019-03-25 08:33 ranjith_qualiantech_com Status scheduled => resolved
2019-03-25 08:33 ranjith_qualiantech_com Resolution open => fixed
2019-03-25 08:33 ranjith_qualiantech_com Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker